Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.application
Class ShellPresentationContext

    java.lang.Object
      com.bea.netuix.servlets.controls.ControlContext
          com.bea.netuix.servlets.controls.PresentationContext
              com.bea.netuix.servlets.controls.application.ShellPresentationContext

All Implemented Interfaces:
  Serializable

public class ShellPresentationContext
extends PresentationContext

This class represents a portal shell component. All presentation-related attributes of a shell component are available from instances of this class. Such instances are typically used during portal rendering via look and feel skeleton files (e.g. shell.jsp).

See Also:
  `getShellPresentationContext(javax.servlet.http.HttpServletRequest)`, Serialized Form

Field Summary
`protected static String` | `CLASS_NAME`

Fields inherited from class com.bea.netuix.servlets.controls.ControlContext
`debug`

Method Summary
`BodyPresentationContext` | `getBodyPresentationContext()` Returns the `BodyPresentationContext` contained by this shell.
`BookPresentationContext` | `getBookPresentationContext()` Returns the `BookPresentationContext` for the Portal's primary book, contained by this shell.
`HeadPresentationContext` | `getHeadPresentationContext()` Returns the `HeadPresentationContext` contained by this shell.
`static ShellPresentationContext` | `getShellPresentationContext(HttpServletRequest request)` This is a convenience method for returning a reference to the one and only `ShellPresentationContext`.

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getChildren, getChildren, getFirstChild, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getResolvedLocale, getTagName, isVisible, setVisible`

Methods inherited from class com.bea.netuix.servlets.controls.ControlContext
`getContextFromRequest, getContextFromRequest, getControl, getRequestKey, getUniqueId, removeContextFromRequest, setContextInRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_NAME

    protected static final String CLASS_NAME

Method Detail

### getBodyPresentationContext

    public BodyPresentationContext getBodyPresentationContext()

  Returns the `BodyPresentationContext` contained by this shell. There should be exactly one body component per portal. The body component typically corresponds to an HTML <body/> tag, but this is not a requirement.

  Returns:
    The portal's body; should not be null

### getBookPresentationContext

    public BookPresentationContext getBookPresentationContext()

  Returns the `BookPresentationContext` for the Portal's primary book, contained by this shell.

  Returns:
    The primary book; should not be null, as all portals require at least one book

### getHeadPresentationContext

    public HeadPresentationContext getHeadPresentationContext()

  Returns the `HeadPresentationContext` contained by this shell. There should be exactly one head component per portal. The head component typically corresponds to an HTML <head/> tag, but this is not a requirement.

  Returns:
    The portal's head; should not be null

### getShellPresentationContext

    public static ShellPresentationContext getShellPresentationContext(HttpServletRequest request)

  This is a convenience method for returning a reference to the one and only `ShellPresentationContext`. Note this method will only work if called from within a portal (typically, from the shell.jsp skeleton). This method may return null if called when no appropriate context exists, but such a context should safely exist when being fetched from the associated skeleton JSP during normal portal rendering.

  Parameters:
    `request` - The current HTTPServletRequest instance
  Returns:
    A reference to the current ShellPresentationContext, if any

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved